# Maintainer: Arnoud Willemsen <mail@lynthium.com>

pkgname='clevo-xsm-wmi-util'
pkgver='1.2'
_pkgtag="v${pkgver}"
pkgrel=1
pkgdesc='A GUI control utility for the clevo-xsm-wmi driver.'
arch=('i686' 'x86_64')
license=('GPL')
url='https://gitlab.com/LiZhenhuan1019/clevo-xsm-wmi'
source=("clevo-xsm-wmi-${pkgver}.src.tar.gz::https://gitlab.com/LiZhenhuan1019/clevo-xsm-wmi/-/archive/v${pkgver}/clevo-xsm-wmi-v${pkgver}.tar.gz")
options=(!emptydirs)
depends=('clevo-xsm-wmi' 'python' 'python-pmw')

build() {
	cd "${srcdir}/clevo-xsm-wmi-${_pkgtag}/ui"
}
package() {
	cd "${srcdir}/clevo-xsm-wmi-${_pkgtag}/ui"

	install -Dm755 wmi-ui ${pkgdir}/usr/bin/wmi-ui
    install -D -m644 LICENSE.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
    mkdir -p ${pkgdir}/usr/share/tuxedo/wmi-ui
    cp -r ./src/* ${pkgdir}/usr/share/tuxedo/wmi-ui
}
sha256sums=('edb776faecb364ffb79dfd2550bda03ff19dc893bf19a1460324f328a15b2bf1')
